Sensitivity Settings - Create Or Update

Create or update data sensitivity settings for sensitive data discovery

PUT https://management.azure.com/providers/Microsoft.Security/sensitivitySettings/current?api-version=2023-02-15-preview

URI Parameters

Name In Required Type Description
api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
sensitiveInfoTypesIds True

string[] (uuid)

List of selected sensitive info types' IDs.

sensitivityThresholdLabelId

string (uuid)

The id of the sensitivity threshold label. Any label at or above this rank will be considered sensitive.

sensitivityThresholdLabelOrder

number (float)

The order of the sensitivity threshold label. Any label at or above this order will be considered sensitive. If set to -1, sensitivity by labels is turned off

Responses

Name Type Description
200 OK

GetSensitivitySettingsResponse

Resource 'GetSensitivitySettingsResponse' update operation succeeded

Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Update sensitivity settings

Sample request

PUT https://management.azure.com/providers/Microsoft.Security/sensitivitySettings/current?api-version=2023-02-15-preview

{
  "sensitiveInfoTypesIds": [
    "f2f8a7a1-28c0-404b-9ab4-30a0a7af18cb",
    "b452f22b-f87d-4f48-8490-ecf0873325b5",
    "d59ee8b6-2618-404b-a5e7-aa377cd67543"
  ],
  "sensitivityThresholdLabelId": "f2f8a7a1-28c0-404b-9ab4-30a0a7af18cb",
  "sensitivityThresholdLabelOrder": 2
}

Sample response

{
  "name": "current",
  "type": "Microsoft.Security/sensitivitySettings",
  "id": "/providers/Microsoft.Security/sensitivitySettings/current",
  "properties": {
    "mipInformation": {
      "builtInInfoTypes": [
        {
          "name": "Http Authorization Header",
          "type": "Credentials",
          "id": "4d0d3eb6-619f-4c8c-810c-c16150c95278"
        },
        {
          "name": "User Login Credentials",
          "type": "Credentials",
          "id": "a98fde82-45b6-4b2c-afd0-ad579cd9f826"
        },
        {
          "name": "Credit card number",
          "type": "Finance",
          "id": "50842eb7-edc8-4019-85dd-5a5c1f2bb085"
        },
        {
          "name": "EU debit card number",
          "type": "Finance",
          "id": "0e9b3178-9678-47dd-a509-37222ca96b42"
        }
      ],
      "customInfoTypes": [
        {
          "name": "User created custom info type 1",
          "description": "Custom info type description",
          "id": "c5f9b9a1-2b9a-4a3a-8c5b-1f3d1d9d9c9b"
        },
        {
          "name": "User created custom info type 2",
          "description": "Custom info type description",
          "id": "a4fee2b6-5618-404b-a5e7-aa377cd67543"
        },
        {
          "name": "User created custom info type 3",
          "description": "Custom info type description",
          "id": "a355f11e-f87d-4f48-8490-ecf0873325b5"
        }
      ],
      "labels": [
        {
          "name": "Public",
          "id": "fdfb5435-124d-4651-a889-a4210fec6a77",
          "order": 0
        },
        {
          "name": "Confidential",
          "id": "4c5447ec-f7f3-4345-a160-6a5850f2bf0c",
          "order": 1
        },
        {
          "name": "Highly Confidential",
          "id": "f38ac75c-f42a-4c89-aa37-9c4e74101414",
          "order": 2
        }
      ],
      "mipIntegrationStatus": "Ok"
    },
    "sensitiveInfoTypesIds": [
      "a98fde82-45b6-4b2c-afd0-ad579cd9f826",
      "4d0d3eb6-619f-4c8c-810c-c16150c95278",
      "0e9b3178-9678-47dd-a509-37222ca96b42",
      "c5f9b9a1-2b9a-4a3a-8c5b-1f3d1d9d9c9b"
    ],
    "sensitivityThresholdLabelOrder": 2
  }
}

Definitions

Name Description
BuiltInInfoType

Pre-configured sensitive information type

Common.CloudError

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Common.CloudErrorBody

The error detail.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

GetSensitivitySettingsResponse

Data sensitivity settings for sensitive data discovery

GetSensitivitySettingsResponseProperties

The sensitivity settings properties

GetSensitivitySettingsResponsePropertiesMipInformation

Microsoft information protection built-in and custom information types, labels, and integration status.

InfoType

Custom user-defined information type

Label

Microsoft information protection sensitivity label

MipIntegrationStatus

Microsoft information protection integration status

systemData

Metadata pertaining to creation and last modification of the resource.

UpdateSensitivitySettingsRequest

Request to update data sensitivity settings for sensitive data discovery

BuiltInInfoType

Pre-configured sensitive information type

Name Type Description
id

string (uuid)

Id of the info type

name

string

Display name of the info type

type

string

Category of the built-in info type

Common.CloudError

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Name Type Description
error.additionalInfo

ErrorAdditionalInfo[]

The error additional info.

error.code

string

The error code.

error.details

Common.CloudErrorBody[]

The error details.

error.message

string

The error message.

error.target

string

The error target.

Common.CloudErrorBody

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

Common.CloudErrorBody[]

The error details.

message

string

The error message.

target

string

The error target.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

GetSensitivitySettingsResponse

Data sensitivity settings for sensitive data discovery

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

GetSensitivitySettingsResponseProperties

The sensitivity settings properties

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

GetSensitivitySettingsResponseProperties

The sensitivity settings properties

Name Type Description
mipInformation

GetSensitivitySettingsResponsePropertiesMipInformation

Microsoft information protection built-in and custom information types, labels, and integration status.

sensitiveInfoTypesIds

string[] (uuid)

List of selected sensitive info types' IDs.

sensitivityThresholdLabelId

string (uuid)

The id of the sensitivity threshold label. Any label at or above this rank will be considered sensitive.

sensitivityThresholdLabelOrder

number (float)

The order of the sensitivity threshold label. Any label at or above this order will be considered sensitive. If set to -1, sensitivity by labels is turned off

GetSensitivitySettingsResponsePropertiesMipInformation

Microsoft information protection built-in and custom information types, labels, and integration status.

Name Type Description
builtInInfoTypes

BuiltInInfoType[]

List of pre-configured sensitive information types

customInfoTypes

InfoType[]

List of custom user-defined information types

labels

Label[]

List of Microsoft information protection sensitivity labels

mipIntegrationStatus

MipIntegrationStatus

Microsoft information protection integration status

InfoType

Custom user-defined information type

Name Type Description
description

string

Description of the info type

id

string (uuid)

Id of the info type

name

string

Display name of the info type

Label

Microsoft information protection sensitivity label

Name Type Description
id

string (uuid)

The ID of the label

name

string

The display name of the label

order

number (float)

Labels are ordered by sensitivity level. The higher the order of the label, the more sensitive it is.

MipIntegrationStatus

Microsoft information protection integration status

Value Description
Ok

Ok

noConsent

noConsent

noAutoLabelingRules

noAutoLabelingRules

noMipLabels

noMipLabels

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UpdateSensitivitySettingsRequest

Request to update data sensitivity settings for sensitive data discovery

Name Type Description
sensitiveInfoTypesIds

string[] (uuid)

List of selected sensitive info types' IDs.

sensitivityThresholdLabelId

string (uuid)

The id of the sensitivity threshold label. Any label at or above this rank will be considered sensitive.

sensitivityThresholdLabelOrder

number (float)

The order of the sensitivity threshold label. Any label at or above this order will be considered sensitive. If set to -1, sensitivity by labels is turned off